Mulgara - Bug #156

Translate rmi:// URIs into local URIs
10/17/2008 10:27 PM - Paula Gearon

Status: Closed Start date:

Priority: High Due date:

Assignee: Paula Gearon % Done: 0%
Category: Mulgara Estimated time: 0.00 hour
Target version:

Resolution: fixed

Description

URIs like:

rmi://host/servert#xxx

need to be sent to the server, and then have the relative "xxx" turned into the URI that gets used at the server end. Alternatively, the
RMI server code should look for a "graph" parameter (ie. rmi://host/server?graph=foo:bar) that will be interpreted at the server end as

an absolute URI.

This is dependent on #155 due to the need to have both relative and absolute URIs.

History

#1 - 11/17/2008 11:10 PM - Paula Gearon

Only the distributed resolver need do anything here. Once it is given graphs with this name structure, it will make the connection to the appropriate

server, but one this is done it need only send the "graph" query parameter to the remote service.

#2 - 12/02/2008 05:59 PM - Paula Gearon
- Status changed from New to Closed

- Resolution set to fixed

Both the distributed resolver and also trying to make local graph names "relative" were updated for this feature. Resolved in r1381 and 1386
https://code.mulgara.org/issues/155
https://code.mulgara.org/projects/mulgara/repository/3/revisions/1381
http://www.tcpdf.org

